#!/bin/bash

set -e

script_root_path=$(cd "$(dirname "$0")";pwd)
aubo_file_name="aubo_file_`date +%y-%m-%d-%H-%M`"
aubo_file_path="$script_root_path/$aubo_file_name"

#导出工程
database_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/database"
project_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/project"
script_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/script"
recordTrack_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/recordtrack"
procedure_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/procedure"
offlinetrack_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/offlinetrack"
modbus_db_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/plugins/Modbus/Database"

project_store_path="$aubo_file_path/project"

#创建工程存放目录
if [ ! -d "$project_store_path" ]; then
    mkdir -p "$project_store_path"
fi

#数据库
if [ -d "$database_path" ]; then
    cp -rf "$database_path"  "$project_store_path/database"
fi

#工程文件
if [ -d "$project_path" ]; then
    cp -rf "$project_path"  "$project_store_path/project"
fi

#脚本文件
if [ -d "$script_path" ]; then
    cp -rf "$script_path"  "$project_store_path/script"
fi

#轨迹记录
if [ -d "$recordTrack_path" ]; then
    cp -rf "$recordTrack_path"  "$project_store_path/recordtrack"
fi

#子工程
if [ -d "$procedure_path" ]; then
    cp -rf "$procedure_path"  "$project_store_path/procedure"
fi

#离线轨迹
if [ -d "$offlinetrack_path" ]; then
    cp -rf "$offlinetrack_path"  "$project_store_path/offlinetrack"
fi

#modbus db
if [ -d "$modbus_db_path" ]; then
    mkdir -p "$project_store_path/plugins/Modbus"
    cp -rf "$modbus_db_path"  "$project_store_path/plugins/Modbus"
fi

#导出日志
log_store_path="$aubo_file_path/log"

sys_log_path="/var/log"
server_log_path="/root/AuboRobotWorkSpace/RobotServer/bin/logfiles"
client_log_path="/root/AuboRobotWorkSpace/teachpendant/bin/logfiles"

#创建日志存放目录
if [ ! -d "$log_store_path" ]; then
    mkdir -p "$log_store_path"
fi

#系统日志
if [ -d "$sys_log_path" ]; then
    cp -rf "$sys_log_path"  "$log_store_path/syslog"
fi 

#服务器日志
if [ -d "$server_log_path" ]; then
    cp -rf "$server_log_path"  "$log_store_path/serverlog"
    mkdir -p "$log_store_path/serverdb"
    cp -rf /root/AuboRobotWorkSpace/RobotServer/bin/*.db "$log_store_path/serverdb"
fi 

#客户端日志
if [ -d "$client_log_path" ]; then
    cp -rf "$client_log_path"  "$log_store_path/clientlog"
fi 

#打包文件
if [ -n "$1" ]; then
    cd "$script_root_path"
    tar zcf "${aubo_file_name}.tar.gz" "$aubo_file_name"

    if [ $? -eq 0 ];then
        mv "${aubo_file_name}.tar.gz" "$1"
        if [ ! $? -eq 0 ];then
            rm -rf "${aubo_file_name}.tar.gz"
        fi
    fi
    cd -
fi

#删除原有的
rm -rf "$aubo_file_path"

exit 0
